# `ngSelected` (directive in module `ng` )

Improve this doc

## Description

The HTML specs do not require browsers to preserve the special attributes such as selected. (The presence of them means true and absence means false) This prevents the angular compiler from correctly retrieving the binding expression. To solve this problem, we introduced the `ngSelected` directive.

## Usage

as attribute

    <OPTION ng-selected
         expression="{string}">
       ...
    </OPTION>

### Parameters

- `expression – {string} –`

  Angular expression that will be evaluated.

## Example

#### Source

#### Demo